<template>
  <div
    v-if="item"
    class="q-pa-sm"
  >
    <q-card
      bordered
      flat
    >
      <q-card-section>
        <div class="text-h5 text-weight-bolder text-grey-9 q-pa-sm">
          Resumo
        </div>
      </q-card-section>

      <q-card-section class="row q-pb-lg">
        <q-item class="col-6">
          <q-item-section avatar>
            <q-icon
              color="primary"
              name="fas fa-shopping-cart"
              size="36px"
            />
          </q-item-section>

          <q-item-section>
            <div
              class="text-weight-bolder text-grey-8"
              v-text="item.title"
            />
          </q-item-section>
        </q-item>

        <q-item class="col-6">
          <q-item-section avatar>
            <q-icon
              color="primary"
              name="fas fa-check-circle"
              size="36px"
            />
          </q-item-section>

          <q-item-section>
            <q-item-label class="text-weight-bolder text-grey-8">
              Total {{ item.price | formatValue }}
            </q-item-label>

            <q-item-label
              class="text-grey-7"
              lines="2"
              caption
            >
              <div v-text="`Em ${item.installments}x no cartão de crédito`" />
            </q-item-label>
          </q-item-section>
        </q-item>
      </q-card-section>
    </q-card>
  </div>
</template>

<script>
import { formatToBRL } from 'brazilian-values'

export default {
  name: 'Plan',
  filters: {
    formatValue (value) {
      try {
        return formatToBRL(value)
      } catch (e) {
        return value
      }
    }
  },
  props: {
    item: {
      type: Object,
      default: () => (null)
    }
  }
}
</script>
